Public Attributes | List of all members
app_graphics_dc_pins_t Struct Reference
Peripheral Driver » APP DRIVER » DC » Structures » GRAPHICS DC Configuration

define DC pins More...

`#include <app_graphics_dc.h>`

Collaboration diagram for app_graphics_dc_pins_t:
[legend]

## Public Attributes
app_graphics_dc_pin_t | csn
| Set the configuration of QSPI CS pin. More...
app_graphics_dc_pin_t | clk
| Set the configuration of QSPI CLK pin. More...
app_graphics_dc_pin_t | io0
| Set the configuration of QSPI IO0 pin. More...
app_graphics_dc_pin_t | io1
| Set the configuration of QSPI IO1 pin. More...
app_graphics_dc_pin_t | io2
| Set the configuration of QSPI IO2 pin. More...
app_graphics_dc_pin_t | io3
| Set the configuration of QSPI IO3 pin. More...
app_graphics_dc_pin_t | dcx
| Set the configuration of QSPI IO3 pin. More...

## Detailed Description

define DC pins

Definition at line 144 of file app_graphics_dc.h.

## Member Data Documentation

## ◆ clk

app_graphics_dc_pin_t app_graphics_dc_pins_t::clk

Set the configuration of QSPI CLK pin.

Definition at line 147 of file app_graphics_dc.h.

## ◆ csn

app_graphics_dc_pin_t app_graphics_dc_pins_t::csn

Set the configuration of QSPI CS pin.

Definition at line 146 of file app_graphics_dc.h.

## ◆ dcx

app_graphics_dc_pin_t app_graphics_dc_pins_t::dcx

Set the configuration of QSPI IO3 pin.

Definition at line 152 of file app_graphics_dc.h.

## ◆ io0

app_graphics_dc_pin_t app_graphics_dc_pins_t::io0

Set the configuration of QSPI IO0 pin.

Definition at line 148 of file app_graphics_dc.h.

## ◆ io1

app_graphics_dc_pin_t app_graphics_dc_pins_t::io1

Set the configuration of QSPI IO1 pin.

Definition at line 149 of file app_graphics_dc.h.

## ◆ io2

app_graphics_dc_pin_t app_graphics_dc_pins_t::io2

Set the configuration of QSPI IO2 pin.

Definition at line 150 of file app_graphics_dc.h.

## ◆ io3

app_graphics_dc_pin_t app_graphics_dc_pins_t::io3

Set the configuration of QSPI IO3 pin.

Definition at line 151 of file app_graphics_dc.h.

The documentation for this struct was generated from the following file:

- app_graphics_dc.h